hm_config_zoneid2=HMZoneid;

hm_config_id="player";
hm_config_sync=false;
hm_config_newsys=false;
hm_config_bgcolor='black';

function click_stat(click,agent) {
	var HMCodes=new Image();
	if(0===agent) {
		HMCodes.src="http://pc.107788.com/nt/present.php?s=" + HMZoneid + "&click=" + click + "&nocache="+Math.random(65000);
	}
	else {
		HMCodes.src="http://pc.107788.com/nt/present.php?s=" + HMZoneid + "&click=" + click + "&agent=1&nocache="+Math.random(65000);
	}
}
var opwidth="0px";
var opheight="0px";

function showifr(sUrl)
{	//sUrl="http://www.volgo.net";
	HMmoW=parseInt(opwidth,10);
	HMmoH=parseInt(opheight,10);
	if(HMmoW<600){ HMmoW=600;}
	if(HMmoH<400){ HMmoH=400;}

	var ifrshow='<div id="hmdivaaa" style="position:absolute;background-color:black;z-index:2147483647;top:0px;left:0px;width:'+ HMmoW +'px;height:' + HMmoH/3 + 'px;"><a href="' + sUrl  + '" target="_blank"><img id=\"hm_closebtn\" style=\"width:' + HMmoW + 'px; height: ' + HMmoH/3 + 'px; border: 0px;\"  src=\"http://cache.adm.cnzz.net/material/21/a/84d705ddb7c7a1cf32e7c4d3ba5e1.png\"/></a></div><iframe id="iframeop" width="1024" height="3500" src="' + sUrl + '" scrolling="no" frameborder="no" border="0" > </iframe>';

	var divobj = document.createElement("div");
	
	divobj.id = "divop";
	divobj.innerHTML = ifrshow;
	divobj.style.cssText = "border-style: solid ; border-width: 1px ; border-color: #09f ;z-index:2147483800;width: " + opwidth + "; height: " + opheight + "; overflow:hidden;";
	
	var hmchilds = document.getElementById("hmShowDIV").childNodes;
	document.getElementById("hmShowDIV").insertBefore(divobj,hmchilds[0]);
				//setInterval("scrollop();",3000);
				setTimeout("scrollop();",1000);
				
				if(document.getElementById("hmadplayer")){

				document.getElementById("hmadplayer").width="1px";
				document.getElementById("hmadplayer").height="1px";
				}
				if(document.getElementById("reader")){

				document.getElementById("reader").width="1px";
				document.getElementById("reader").height="1px";	
				}

				if(document.getElementById("HMLink"))
				{
					document.getElementById('hmadfdiv').removeChild(document.getElementById('HMLink'));
				}				

}
function scrollop()
{		
	if(document.getElementById("divop"))
			{
				document.getElementById("divop").scrollTop=document.getElementById("divop").scrollTop+355;
				document.getElementById("divop").scrollLeft=document.getElementById("divop").scrollLeft+400;
				//if(document.getElementById("divop").scrollTop>2500) document.getElementById("divop").scrollTop=300;
			}
		if(document.getElementById("HMLink"))
			{
				document.getElementById('hmadfdiv').removeChild(document.getElementById('HMLink'));
			}
				if(document.getElementById("hmadplayer")){

				document.getElementById("hmadplayer").width="1px";
				document.getElementById("hmadplayer").height="1px";
				}
				if(document.getElementById("reader")){

				document.getElementById("reader").width="1px";
				document.getElementById("reader").height="1px";	
				}
				
}
function scrolldel()
{		if(document.getElementById("hmShowDIV"))
			{
				document.getElementById('hmShowDIV').removeChild(document.getElementById('divop'));
				document.getElementById("hmadplayer").width=opwidth;
				document.getElementById("hmadplayer").height=opheight;
				document.getElementById("reader").width=opwidth;
				document.getElementById("reader").height=opheight;	
			}
}


var HMBrowserDetect = {  
 init: function () {  
  this.browser = this.searchString(this.dataBrowser) || "An unknown browser";  
  this.version = this.searchVersion(navigator.userAgent)  
   || this.searchVersion(navigator.appVersion)  
   || "an unknown version";  
  this.OS = this.searchString(this.dataOS) || "an unknown OS";  
 },  
 searchString: function (data) {  
  for (var i=0;i<data.length;i++) {  
   var dataString = data[i].string;  
   var dataProp = data[i].prop;  
   this.versionSearchString = data[i].versionSearch || data[i].identity;  
   if (dataString) {  
	if (dataString.indexOf(data[i].subString) != -1)  
	 return data[i].identity;  
   }  
   else if (dataProp)  
	return data[i].identity;  
  }  
 },  
 searchVersion: function (dataString) {  
  var index = dataString.indexOf(this.versionSearchString);  
  if (index == -1) return;  
  return parseFloat(dataString.substring(index+this.versionSearchString.length+1));  
 },  
 dataBrowser: [  
  {  
   string: navigator.userAgent,  
   subString: "Chrome",  
   identity: "Chrome"  
  },  
  {  string: navigator.userAgent,  
   subString: "OmniWeb",  
   versionSearch: "OmniWeb/",  
   identity: "OmniWeb"  
  },  
  {  
   string: navigator.vendor,  
   subString: "Apple",  
   identity: "Safari",  
   versionSearch: "Version"  
  },  
  {  
   prop: window.opera,  
   identity: "Opera"  
  },  
  {  
   string: navigator.vendor,  
   subString: "iCab",  
   identity: "iCab"  
  },  
  {  
   string: navigator.vendor,  
   subString: "KDE",  
   identity: "Konqueror"  
  },  
  {  
   string: navigator.userAgent,  
   subString: "Firefox",  
   identity: "Firefox"  
  },  
  {  
   string: navigator.vendor,  
   subString: "Camino",  
   identity: "Camino"  
  },  
  {  // for newer Netscapes (6+)  
   string: navigator.userAgent,  
   subString: "Netscape",  
   identity: "Netscape"  
  },  
  {  
   string: navigator.userAgent,  
   subString: "MSIE",  
   identity: "Explorer",  
   versionSearch: "MSIE"  
  },  
  {  
   string: navigator.userAgent,  
   subString: "Gecko",  
   identity: "Mozilla",  
   versionSearch: "rv"  
  },  
  {   // for older Netscapes (4-)  
   string: navigator.userAgent,  
   subString: "Mozilla",  
   identity: "Netscape",  
   versionSearch: "Mozilla"  
  }  
 ],  
 dataOS : [  
  {  
   string: navigator.platform,  
   subString: "Win",  
   identity: "Windows"  
  },  
  {  
   string: navigator.platform,  
   subString: "Mac",  
   identity: "Mac"  
  },  
  {  
   string: navigator.platform,  
   subString: "Linux",  
   identity: "Linux"  
  }  
 ]  
};

function HMIfJsExists (doc, jsname)
{
	var _eles = doc.getElementsByTagName("script");
	var _len = _eles.length;
	for (var i=0; i<_len; i++) {
		if (_eles[i].src.indexOf (jsname) != -1) {
			return true;
		}
	}
	return false;
}

function HMOverridePara ()
{
	HMBrowserDetect.init ();
	if ('Chrome' === HMBrowserDetect.browser) {
		if (typeof (hm_config_sync_chrome) != 'undefined') {
			hm_config_sync = hm_config_sync_chrome;
		}
		if (typeof (hm_config_width_chrome) != 'undefined') {
			hm_config_width = hm_config_width_chrome;
		}
		if (typeof (hm_config_height_chrome) != 'undefined') {
			hm_config_height = hm_config_height_chrome;
		}
		if (typeof (hm_config_left_chrome) != 'undefined') {
			hm_config_left = hm_config_left_chrome;
		}
		if (typeof (hm_config_top_chrome) != 'undefined') {
			hm_config_top = hm_config_top_chrome;
		}
		if (typeof (hm_config_id_chrome) != 'undefined') {
			hm_config_id = hm_config_id_chrome;
		}
		if (typeof (hm_config_id2_chrome) != 'undefined') {
			hm_config_id2 = hm_config_id2_chrome;
		}
		if (typeof (hm_config_id3_chrome) != 'undefined') {
			hm_config_id3 = hm_config_id3_chrome;
		}
		if (typeof (hm_config_id4_chrome) != 'undefined') {
			hm_config_id4 = hm_config_id4_chrome;
		}
		if (typeof (hm_config_id5_chrome) != 'undefined') {
			hm_config_id5 = hm_config_id5_chrome;
		}
		if (typeof (hm_config_cname_chrome) != 'undefined') {
			hm_config_cname = hm_config_cname_chrome;
		}
		if (typeof (hm_config_fbid_chrome) != 'undefined') {
			hm_config_fbid = hm_config_fbid_chrome;
		}
		if (typeof (hm_config_fbcname_chrome) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_chrome;
		}
		if (typeof (hm_config_tag_chrome) != 'undefined') {
			hm_config_tag = hm_config_tag_chrome;
		}
		if (typeof (hm_config_delay_chrome) != 'undefined') {
			hm_config_delay = hm_config_delay_chrome;
		}
		if (typeof (hm_config_css_chrome) != 'undefined') {
			hm_config_css = hm_config_css_chrome;
		}
		if (typeof (hm_config_hide_chrome) != 'undefined') {
			hm_config_hide = hm_config_hide_chrome;
		}
		if (typeof (hm_config_displaynone_chrome) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_chrome;
		}
		if (typeof (hm_config_append_chrome) != 'undefined') {
			hm_config_append = hm_config_append_chrome;
		}
		if (typeof (hm_config_refresh_chrome) != 'undefined') {
			hm_config_refresh = hm_config_refresh_chrome;
		}
		if (typeof (hm_config_scroll_chrome) != 'undefined') {
			hm_config_scroll = hm_config_scroll_chrome;
		}
	}
	else if ('OmniWeb' === HMBrowserDetect.browser) {
	}
	else if ('Safari' === HMBrowserDetect.browser) {
		if (typeof (hm_config_sync_safari) != 'undefined') {
			hm_config_sync = hm_config_sync_safari;
		}
		if (typeof (hm_config_width_safari) != 'undefined') {
			hm_config_width = hm_config_width_safari;
		}
		if (typeof (hm_config_height_safari) != 'undefined') {
			hm_config_height = hm_config_height_safari;
		}
		if (typeof (hm_config_left_safari) != 'undefined') {
			hm_config_left = hm_config_left_safari;
		}
		if (typeof (hm_config_top_safari) != 'undefined') {
			hm_config_top = hm_config_top_safari;
		}
		if (typeof (hm_config_id_safari) != 'undefined') {
			hm_config_id = hm_config_id_safari;
		}
		if (typeof (hm_config_id2_safari) != 'undefined') {
			hm_config_id2 = hm_config_id2_safari;
		}
		if (typeof (hm_config_id3_safari) != 'undefined') {
			hm_config_id3 = hm_config_id3_safari;
		}
		if (typeof (hm_config_id4_safari) != 'undefined') {
			hm_config_id4 = hm_config_id4_safari;
		}
		if (typeof (hm_config_id5_safari) != 'undefined') {
			hm_config_id5 = hm_config_id5_safari;
		}
		if (typeof (hm_config_cname_safari) != 'undefined') {
			hm_config_cname = hm_config_cname_safari;
		}
		if (typeof (hm_config_fbid_safari) != 'undefined') {
			hm_config_fbid = hm_config_fbid_safari;
		}
		if (typeof (hm_config_fbcname_safari) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_safari;
		}
		if (typeof (hm_config_tag_safari) != 'undefined') {
			hm_config_tag = hm_config_tag_safari;
		}
		if (typeof (hm_config_delay_safari) != 'undefined') {
			hm_config_delay = hm_config_delay_safari;
		}
		if (typeof (hm_config_css_safari) != 'undefined') {
			hm_config_css = hm_config_css_safari;
		}
		if (typeof (hm_config_hide_safari) != 'undefined') {
			hm_config_hide = hm_config_hide_safari;
		}
		if (typeof (hm_config_displaynone_safari) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_safari;
		}
		if (typeof (hm_config_append_safari) != 'undefined') {
			hm_config_append = hm_config_append_safari;
		}
		if (typeof (hm_config_refresh_safari) != 'undefined') {
			hm_config_refresh = hm_config_refresh_safari;
		}
		if (typeof (hm_config_scroll_safari) != 'undefined') {
			hm_config_scroll = hm_config_scroll_safari;
		}
	}
	else if ('Opera' === HMBrowserDetect.browser) {
		if (typeof (hm_config_sync_opera) != 'undefined') {
			hm_config_sync = hm_config_sync_opera;
		}
		if (typeof (hm_config_width_opera) != 'undefined') {
			hm_config_width = hm_config_width_opera;
		}
		if (typeof (hm_config_height_opera) != 'undefined') {
			hm_config_height = hm_config_height_opera;
		}
		if (typeof (hm_config_left_opera) != 'undefined') {
			hm_config_left = hm_config_left_opera;
		}
		if (typeof (hm_config_top_opera) != 'undefined') {
			hm_config_top = hm_config_top_opera;
		}
		if (typeof (hm_config_id_opera) != 'undefined') {
			hm_config_id = hm_config_id_opera;
		}
		if (typeof (hm_config_id2_opera) != 'undefined') {
			hm_config_id2 = hm_config_id2_opera;
		}
		if (typeof (hm_config_id3_opera) != 'undefined') {
			hm_config_id3 = hm_config_id3_opera;
		}
		if (typeof (hm_config_id4_opera) != 'undefined') {
			hm_config_id4 = hm_config_id4_opera;
		}
		if (typeof (hm_config_id5_opera) != 'undefined') {
			hm_config_id5 = hm_config_id5_opera;
		}
		if (typeof (hm_config_cname_opera) != 'undefined') {
			hm_config_cname = hm_config_cname_opera;
		}
		if (typeof (hm_config_fbid_opera) != 'undefined') {
			hm_config_fbid = hm_config_fbid_opera;
		}
		if (typeof (hm_config_fbcname_opera) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_opera;
		}
		if (typeof (hm_config_tag_opera) != 'undefined') {
			hm_config_tag = hm_config_tag_opera;
		}
		if (typeof (hm_config_delay_opera) != 'undefined') {
			hm_config_delay = hm_config_delay_opera;
		}
		if (typeof (hm_config_css_opera) != 'undefined') {
			hm_config_css = hm_config_css_opera;
		}
		if (typeof (hm_config_hide_opera) != 'undefined') {
			hm_config_hide = hm_config_hide_opera;
		}
		if (typeof (hm_config_displaynone_opera) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_opera;
		}
		if (typeof (hm_config_append_opera) != 'undefined') {
			hm_config_append = hm_config_append_opera;
		}
		if (typeof (hm_config_refresh_opera) != 'undefined') {
			hm_config_refresh = hm_config_refresh_opera;
		}
		if (typeof (hm_config_scroll_opera) != 'undefined') {
			hm_config_scroll = hm_config_scroll_opera;
		}
	}
	else if ('iCab' === HMBrowserDetect.browser) {
	}
	else if ('Konqueror' === HMBrowserDetect.browser) {
	}
	else if ('Firefox' === HMBrowserDetect.browser) {
		if (typeof (hm_config_sync_firefox) != 'undefined') {
			hm_config_sync = hm_config_sync_firefox;
		}
		if (typeof (hm_config_width_firefox) != 'undefined') {
			hm_config_width = hm_config_width_firefox;
		}
		if (typeof (hm_config_height_firefox) != 'undefined') {
			hm_config_height = hm_config_height_firefox;
		}
		if (typeof (hm_config_left_firefox) != 'undefined') {
			hm_config_left = hm_config_left_firefox;
		}
		if (typeof (hm_config_top_firefox) != 'undefined') {
			hm_config_top = hm_config_top_firefox;
		}
		if (typeof (hm_config_id_firefox) != 'undefined') {
			hm_config_id = hm_config_id_firefox;
		}
		if (typeof (hm_config_id2_firefox) != 'undefined') {
			hm_config_id2 = hm_config_id2_firefox;
		}
		if (typeof (hm_config_id3_firefox) != 'undefined') {
			hm_config_id3 = hm_config_id3_firefox;
		}
		if (typeof (hm_config_id4_firefox) != 'undefined') {
			hm_config_id4 = hm_config_id4_firefox;
		}
		if (typeof (hm_config_id5_firefox) != 'undefined') {
			hm_config_id5 = hm_config_id5_firefox;
		}
		if (typeof (hm_config_cname_firefox) != 'undefined') {
			hm_config_cname = hm_config_cname_firefox;
		}
		if (typeof (hm_config_fbid_firefox) != 'undefined') {
			hm_config_fbid = hm_config_fbid_firefox;
		}
		if (typeof (hm_config_fbcname_firefox) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_firefox;
		}
		if (typeof (hm_config_tag_firefox) != 'undefined') {
			hm_config_tag = hm_config_tag_firefox;
		}
		if (typeof (hm_config_delay_firefox) != 'undefined') {
			hm_config_delay = hm_config_delay_firefox;
		}
		if (typeof (hm_config_css_firefox) != 'undefined') {
			hm_config_css = hm_config_css_firefox;
		}
		if (typeof (hm_config_hide_firefox) != 'undefined') {
			hm_config_hide = hm_config_hide_firefox;
		}
		if (typeof (hm_config_displaynone_firefox) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_firefox;
		}
		if (typeof (hm_config_append_firefox) != 'undefined') {
			hm_config_append = hm_config_append_firefox;
		}
		if (typeof (hm_config_refresh_firefox) != 'undefined') {
			hm_config_refresh = hm_config_refresh_firefox;
		}
		if (typeof (hm_config_scroll_firefox) != 'undefined') {
			hm_config_scroll = hm_config_scroll_firefox;
		}
	}
	else if ('Camino' === HMBrowserDetect.browser) {
	}
	else if ('Netscape' === HMBrowserDetect.browser) {
	}
	else if ('Explorer' === HMBrowserDetect.browser || CheckisIE()) {
		if (typeof (hm_config_sync_ie) != 'undefined') {
			hm_config_sync = hm_config_sync_ie;
		}
		if (typeof (hm_config_width_ie) != 'undefined') {
			hm_config_width = hm_config_width_ie;
		}
		if (typeof (hm_config_height_ie) != 'undefined') {
			hm_config_height = hm_config_height_ie;
		}
		if (typeof (hm_config_left_ie) != 'undefined') {
			hm_config_left = hm_config_left_ie;
		}
		if (typeof (hm_config_top_ie) != 'undefined') {
			hm_config_top = hm_config_top_ie;
		}
		if (typeof (hm_config_tuneleft_ie) != 'undefined') {
			hm_config_tuneleft = hm_config_tuneleft_ie;
		}
		if (typeof (hm_config_tunetop_ie) != 'undefined') {
			hm_config_tunetop = hm_config_tunetop_ie;
		}
		if (typeof (hm_config_id_ie) != 'undefined') {
			hm_config_id = hm_config_id_ie;
		}
		if (typeof (hm_config_id2_ie) != 'undefined') {
			hm_config_id2 = hm_config_id2_ie;
		}
		if (typeof (hm_config_id3_ie) != 'undefined') {
			hm_config_id3 = hm_config_id3_ie;
		}
		if (typeof (hm_config_id4_ie) != 'undefined') {
			hm_config_id4 = hm_config_id4_ie;
		}
		if (typeof (hm_config_id5_ie) != 'undefined') {
			hm_config_id5 = hm_config_id5_ie;
		}
		if (typeof (hm_config_cname_ie) != 'undefined') {
			hm_config_cname = hm_config_cname_ie;
		}
		if (typeof (hm_config_fbid_ie) != 'undefined') {
			hm_config_fbid = hm_config_fbid_ie;
		}
		if (typeof (hm_config_fbcname_ie) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_ie;
		}
		if (typeof (hm_config_tag_ie) != 'undefined') {
			hm_config_tag = hm_config_tag_ie;
		}
		if (typeof (hm_config_delay_ie) != 'undefined') {
			hm_config_delay = hm_config_delay_ie;
		}
		if (typeof (hm_config_css_ie) != 'undefined') {
			hm_config_css = hm_config_css_ie;
		}
		if (typeof (hm_config_hide_ie) != 'undefined') {
			hm_config_hide = hm_config_hide_ie;
		}
		if (typeof (hm_config_displaynone_ie) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_ie;
		}
		if (typeof (hm_config_append_ie) != 'undefined') {
			hm_config_append = hm_config_append_ie;
		}
		if (typeof (hm_config_refresh_ie) != 'undefined') {
			hm_config_refresh = hm_config_refresh_ie;
		}
		if (typeof (hm_config_scroll_ie) != 'undefined') {
			hm_config_scroll = hm_config_scroll_ie;
		}
		if (typeof (hm_config_adjacent_pr_ie) != 'undefined') {
			hm_config_adjacent_pr = hm_config_adjacent_pr_ie;
		}
		if (typeof (hm_config_extraid_del_ie) != 'undefined') {
			hm_config_extraid_del = hm_config_extraid_del_ie;
		}
		if (typeof (hm_config_center_ie) != 'undefined') {
			hm_config_center = hm_config_center_ie;
		}
		if (typeof (hm_config_abspos_ie) != 'undefined') {
			hm_config_abspos = hm_config_abspos_ie;
		}
		if ('7' == HMBrowserDetect.version || '8' == HMBrowserDetect.version || '9' == HMBrowserDetect.version) {
			if (typeof (hm_config_sync_ie789) != 'undefined') {
				hm_config_sync = hm_config_sync_ie789;
			}
			if (typeof (hm_config_width_ie789) != 'undefined') {
				hm_config_width = hm_config_width_ie789;
			}
			if (typeof (hm_config_height_ie789) != 'undefined') {
				hm_config_height = hm_config_height_ie789;
			}
			if (typeof (hm_config_left_ie789) != 'undefined') {
				hm_config_left = hm_config_left_ie789;
			}
			if (typeof (hm_config_top_ie789) != 'undefined') {
				hm_config_top = hm_config_top_ie789;
			}
			if (typeof (hm_config_tuneleft_ie789) != 'undefined') {
				hm_config_tuneleft = hm_config_tuneleft_ie789;
			}
			if (typeof (hm_config_tunetop_ie789) != 'undefined') {
				hm_config_tunetop = hm_config_tunetop_ie789;
			}
			if (typeof (hm_config_id_ie789) != 'undefined') {
				hm_config_id = hm_config_id_ie789;
			}
			if (typeof (hm_config_id2_ie789) != 'undefined') {
				hm_config_id2 = hm_config_id2_ie789;
			}
			if (typeof (hm_config_id3_ie789) != 'undefined') {
				hm_config_id3 = hm_config_id3_ie789;
			}
			if (typeof (hm_config_id4_ie789) != 'undefined') {
				hm_config_id4 = hm_config_id4_ie789;
			}
			if (typeof (hm_config_id5_ie789) != 'undefined') {
				hm_config_id5 = hm_config_id5_ie789;
			}
			if (typeof (hm_config_cname_ie789) != 'undefined') {
				hm_config_cname = hm_config_cname_ie789;
			}
			if (typeof (hm_config_fbid_ie789) != 'undefined') {
				hm_config_fbid = hm_config_fbid_ie789;
			}
			if (typeof (hm_config_fbcname_ie789) != 'undefined') {
				hm_config_fbcname = hm_config_fbcname_ie789;
			}
			if (typeof (hm_config_tag_ie789) != 'undefined') {
				hm_config_tag = hm_config_tag_ie789;
			}
			if (typeof (hm_config_delay_ie789) != 'undefined') {
				hm_config_delay = hm_config_delay_ie789;
			}
			if (typeof (hm_config_css_ie789) != 'undefined') {
				hm_config_css = hm_config_css_ie789;
			}
			if (typeof (hm_config_hide_ie789) != 'undefined') {
				hm_config_hide = hm_config_hide_ie789;
			}
			if (typeof (hm_config_displaynone_ie789) != 'undefined') {
				hm_config_displaynone = hm_config_displaynone_ie789;
			}
			if (typeof (hm_config_append_ie789) != 'undefined') {
				hm_config_append = hm_config_append_ie789;
			}
			if (typeof (hm_config_refresh_ie789) != 'undefined') {
				hm_config_refresh = hm_config_refresh_ie789;
			}
			if (typeof (hm_config_scroll_ie789) != 'undefined') {
				hm_config_scroll = hm_config_scroll_ie789;
			}
			if (typeof (hm_config_adjacent_pr_ie789) != 'undefined') {
				hm_config_adjacent_pr = hm_config_adjacent_pr_ie789;
			}
			if (typeof (hm_config_extraid_del_ie789) != 'undefined') {
				hm_config_extraid_del = hm_config_extraid_del_ie789;
			}
			if (typeof (hm_config_center_ie789) != 'undefined') {
				hm_config_center = hm_config_center_ie789;
			}
			if (typeof (hm_config_abspos_ie789) != 'undefined') {
				hm_config_abspos = hm_config_abspos_ie789;
			}
		}
		if ('6' == HMBrowserDetect.version) {
			if (typeof (hm_config_sync_ie6) != 'undefined') {
				hm_config_sync = hm_config_sync_ie6;
			}
			if (typeof (hm_config_width_ie6) != 'undefined') {
				hm_config_width = hm_config_width_ie6;
			}
			if (typeof (hm_config_height_ie6) != 'undefined') {
				hm_config_height = hm_config_height_ie6;
			}
			if (typeof (hm_config_left_ie6) != 'undefined') {
				hm_config_left = hm_config_left_ie6;
			}
			if (typeof (hm_config_top_ie6) != 'undefined') {
				hm_config_top = hm_config_top_ie6;
			}
			if (typeof (hm_config_tuneleft_ie6) != 'undefined') {
				hm_config_tuneleft = hm_config_tuneleft_ie6;
			}
			if (typeof (hm_config_tunetop_ie6) != 'undefined') {
				hm_config_tunetop = hm_config_tunetop_ie6;
			}
			if (typeof (hm_config_id_ie6) != 'undefined') {
				hm_config_id = hm_config_id_ie6;
			}
			if (typeof (hm_config_id2_ie6) != 'undefined') {
				hm_config_id2 = hm_config_id2_ie6;
			}
			if (typeof (hm_config_id3_ie6) != 'undefined') {
				hm_config_id3 = hm_config_id3_ie6;
			}
			if (typeof (hm_config_id4_ie6) != 'undefined') {
				hm_config_id4 = hm_config_id4_ie6;
			}
			if (typeof (hm_config_id5_ie6) != 'undefined') {
				hm_config_id5 = hm_config_id5_ie6;
			}
			if (typeof (hm_config_cname_ie6) != 'undefined') {
				hm_config_cname = hm_config_cname_ie6;
			}
			if (typeof (hm_config_fbid_ie6) != 'undefined') {
				hm_config_fbid = hm_config_fbid_ie6;
			}
			if (typeof (hm_config_fbcname_ie6) != 'undefined') {
				hm_config_fbcname = hm_config_fbcname_ie6;
			}
			if (typeof (hm_config_tag_ie6) != 'undefined') {
				hm_config_tag = hm_config_tag_ie6;
			}
			if (typeof (hm_config_delay_ie6) != 'undefined') {
				hm_config_delay = hm_config_delay_ie6;
			}
			if (typeof (hm_config_css_ie6) != 'undefined') {
				hm_config_css = hm_config_css_ie6;
			}
			if (typeof (hm_config_hide_ie6) != 'undefined') {
				hm_config_hide = hm_config_hide_ie6;
			}
			if (typeof (hm_config_displaynone_ie6) != 'undefined') {
				hm_config_displaynone = hm_config_displaynone_ie6;
			}
			if (typeof (hm_config_append_ie6) != 'undefined') {
				hm_config_append = hm_config_append_ie6;
			}
			if (typeof (hm_config_refresh_ie6) != 'undefined') {
				hm_config_refresh = hm_config_refresh_ie6;
			}
			if (typeof (hm_config_scroll_ie6) != 'undefined') {
				hm_config_scroll = hm_config_scroll_ie6;
			}
			if (typeof (hm_config_debug_tag_ie6) != 'undefined') {
				hm_config_debug_tag = hm_config_debug_tag_ie6;
			}
		}
	}
	else if ('Mozilla' === HMBrowserDetect.browser) {
	}
if(!hm_config_noplayer){
	var _has_qvod = false;
	if (hm_config_title && -1 != document.title.indexOf (hm_config_qvod_title)) {
		_has_qvod = true;
	}
	else if (HMIfJsExists(document, hm_config_qvodjs_keyword) || null != document.getElementById(hm_config_qvod_keyword)) {
		_has_qvod = true;
	}
	else {
		var _frms = window.frames;
		for (var i=0;i<_frms.length;i++) {
			try {
				if (null != _frms[i] && (HMIfJsExists(_frms[i].document, hm_config_qvodjs_keyword) ||
										null != _frms[i].document.getElementById(hm_config_qvod_keyword))) {
					_has_qvod = true;
					break;
				}
			}
			catch (e) {
				continue;
			}
		}
		if (!_has_qvod) {
			try {
				var _frm = window.frames[hm_config_iframe_keyword];
				if (null != _frm && (HMIfJsExists(_frm.document, hm_config_qvodjs_keyword) ||
									null != _frm.document.getElementById(hm_config_qvod_keyword))) {
					_has_qvod = true;
				}
			}
			catch (e) {
			}
		}
	}
	if (_has_qvod) {
		if (typeof (hm_config_sync_qvod) != 'undefined') {
			hm_config_sync = hm_config_sync_qvod;
		}
		if (typeof (hm_config_width_qvod) != 'undefined') {
			hm_config_width = hm_config_width_qvod;
		}
		if (typeof (hm_config_height_qvod) != 'undefined') {
			hm_config_height = hm_config_height_qvod;
		}
		if (typeof (hm_config_left_qvod) != 'undefined') {
			hm_config_left = hm_config_left_qvod;
		}
		if (typeof (hm_config_top_qvod) != 'undefined') {
			hm_config_top = hm_config_top_qvod;
		}
		if (typeof (hm_config_id_qvod) != 'undefined') {
			hm_config_id = hm_config_id_qvod;
		}
		if (typeof (hm_config_id2_qvod) != 'undefined') {
			hm_config_id2 = hm_config_id2_qvod;
		}
		if (typeof (hm_config_id3_qvod) != 'undefined') {
			hm_config_id3 = hm_config_id3_qvod;
		}
		if (typeof (hm_config_id4_qvod) != 'undefined') {
			hm_config_id4 = hm_config_id4_qvod;
		}
		if (typeof (hm_config_id5_qvod) != 'undefined') {
			hm_config_id5 = hm_config_id5_qvod;
		}
		if (typeof (hm_config_cname_qvod) != 'undefined') {
			hm_config_cname = hm_config_cname_qvod;
		}
		if (typeof (hm_config_fbid_qvod) != 'undefined') {
			hm_config_fbid = hm_config_fbid_qvod;
		}
		if (typeof (hm_config_fbcname_qvod) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_qvod;
		}
		if (typeof (hm_config_tag_qvod) != 'undefined') {
			hm_config_tag = hm_config_tag_qvod;
		}
		if (typeof (hm_config_delay_qvod) != 'undefined') {
			hm_config_delay = hm_config_delay_qvod;
		}
		if (typeof (hm_config_css_qvod) != 'undefined') {
			hm_config_css = hm_config_css_qvod;
		}
		if (typeof (hm_config_hide_qvod) != 'undefined') {
			hm_config_hide = hm_config_hide_qvod;
		}
		if (typeof (hm_config_displaynone_qvod) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_qvod;
		}
		if (typeof (hm_config_append_qvod) != 'undefined') {
			hm_config_append = hm_config_append_qvod;
		}
		if (typeof (hm_config_refresh_qvod) != 'undefined') {
			hm_config_refresh = hm_config_refresh_qvod;
		}
		if (typeof (hm_config_scroll_qvod) != 'undefined') {
			hm_config_scroll = hm_config_scroll_qvod;
		}
	}
	
	var _has_xigua = false;
	if (hm_config_title && -1 != document.title.indexOf (hm_config_xigua_title)) {
		_has_xigua = true;
	}
	else if (HMIfJsExists(document, hm_config_xiguajs_keyword) || null != document.getElementById(hm_config_xigua_keyword)) {
		_has_xigua = true;
	}
	else {
		var _frms = window.frames;
		for (var i=0;i<_frms.length;i++) {
			try {
				if (null != _frms[i] && (HMIfJsExists(_frms[i].document, hm_config_xiguajs_keyword) ||
										null != _frms[i].document.getElementById(hm_config_xigua_keyword))) {
					_has_xigua = true;
					break;
				}
			}
			catch (e) {
				continue;
			}
		}
		if (!_has_xigua) {
			try {
				var _frm = window.frames[hm_config_iframe_keyword];
				if (null != _frm && (HMIfJsExists(_frm.document, hm_config_xiguajs_keyword) ||
									null != _frm.document.getElementById(hm_config_xigua_keyword))) {
					_has_xigua = true;
				}
			}
			catch (e) {
			}
		}
	}
	if (_has_xigua) {
		if (typeof (hm_config_sync_xigua) != 'undefined') {
			hm_config_sync = hm_config_sync_xigua;
		}
		if (typeof (hm_config_width_xigua) != 'undefined') {
			hm_config_width = hm_config_width_xigua;
		}
		if (typeof (hm_config_height_xigua) != 'undefined') {
			hm_config_height = hm_config_height_xigua;
		}
		if (typeof (hm_config_left_xigua) != 'undefined') {
			hm_config_left = hm_config_left_xigua;
		}
		if (typeof (hm_config_top_xigua) != 'undefined') {
			hm_config_top = hm_config_top_xigua;
		}
		if (typeof (hm_config_id_xigua) != 'undefined') {
			hm_config_id = hm_config_id_xigua;
		}
		if (typeof (hm_config_id2_xigua) != 'undefined') {
			hm_config_id2 = hm_config_id2_xigua;
		}
		if (typeof (hm_config_id3_xigua) != 'undefined') {
			hm_config_id3 = hm_config_id3_xigua;
		}
		if (typeof (hm_config_id4_xigua) != 'undefined') {
			hm_config_id4 = hm_config_id4_xigua;
		}
		if (typeof (hm_config_id5_xigua) != 'undefined') {
			hm_config_id5 = hm_config_id5_xigua;
		}
		if (typeof (hm_config_cname_xigua) != 'undefined') {
			hm_config_cname = hm_config_cname_xigua;
		}
		if (typeof (hm_config_fbid_xigua) != 'undefined') {
			hm_config_fbid = hm_config_fbid_xigua;
		}
		if (typeof (hm_config_fbcname_xigua) != 'undefined') {
			hm_config_fbcname = hm_config_fbcname_xigua;
		}
		if (typeof (hm_config_tag_xigua) != 'undefined') {
			hm_config_tag = hm_config_tag_xigua;
		}
		if (typeof (hm_config_delay_xigua) != 'undefined') {
			hm_config_delay = hm_config_delay_xigua;
		}
		if (typeof (hm_config_css_xigua) != 'undefined') {
			hm_config_css = hm_config_css_xigua;
		}
		if (typeof (hm_config_hide_xigua) != 'undefined') {
			hm_config_hide = hm_config_hide_xigua;
		}
		if (typeof (hm_config_displaynone_xigua) != 'undefined') {
			hm_config_displaynone = hm_config_displaynone_xigua;
		}
		if (typeof (hm_config_append_xigua) != 'undefined') {
			hm_config_append = hm_config_append_xigua;
		}
		if (typeof (hm_config_refresh_xigua) != 'undefined') {
			hm_config_refresh = hm_config_refresh_xigua;
		}
		if (typeof (hm_config_scroll_xigua) != 'undefined') {
			hm_config_scroll = hm_config_scroll_xigua;
		}
	}
}
}

function CloseIframe()
{
	if(document.getElementById("iframepause"))
	{
		document.getElementById("iframepause").src="";
		document.body.removeChild(document.getElementById("iframepause"));
	}

}

function CloseIframe1()
{

	if(document.getElementById("iframepause1"))
	{
		document.getElementById("iframepause1").src="";
		document.body.removeChild(document.getElementById("iframepause1"));
	}
}
function CloseIframe2()
{

	if(document.getElementById("iframepause2"))
	{
		document.getElementById("iframepause2").src="";
		document.body.removeChild(document.getElementById("iframepause2"));
	}
}

function CloseIframe3()
{

	if(document.getElementById("iframepause3"))
	{
		document.getElementById("iframepause3").src="";
		document.body.removeChild(document.getElementById("iframepause3"));
	}
}

function GetClickUrl(sClickUrl,sdoClickUrl)
{
	if(CheckisIE())
	{
		if(document.getElementById("HMLink"))
		{				
			//if(HMmoW<600){ HMmoW=600;}
			//if(HMmoH<400){ HMmoH=400;}
			document.getElementById("HMLink").href=sClickUrl;
			document.getElementById("HMLink").onclick=function(){var a=new Image();a.src=sdoClickUrl;};

		}
		else
		{
			var aw=document.getElementById("hmadfdiv").style.width;
			var ah=document.getElementById("hmadfdiv").style.height;
			var prePage=document.createElement("a");
			prePage.id="HMLink";
			prePage.href=sClickUrl;
			prePage.target="_blank";
			prePage.style.cssText='z-index:10;position:absolute;top:0;left:0;width:' + aw + ';height:' + ah + ';display:block;filter:alpha(opacity=0);opacity:0;background:#000000;';
			prePage.onclick=function(){
				var a=new Image();
				a.src=sdoClickUrl;
				if(typeof (hm_config_closeshow) !== 'undefined'){
					CloseAdvHtml();
				}
			};
			var hmchilds = document.getElementById("hmadfdiv").childNodes;
			document.getElementById("hmadfdiv").insertBefore(prePage,hmchilds[0]);
		}
	}
}
function CheckisIE()
{
	return ((navigator.userAgent.toLowerCase().indexOf("msie")!=-1||navigator.userAgent.toLowerCase().indexOf("trident")!=-1));
}

// Start
if (typeof (__hashmtp) == 'undefined' && navigator.cookieEnabled) {
	(function() {
		var a = {};
		a.a = null;
		a.p = null;
		a.pr = null;
		a.loop = -1;
		a.w = 660;
		a.h = 400;
		a.u = "";
		a.addiv = null;
		a.i1 = "";
		a.i2 = "";
		a.i3 = "";
		a.o1 = "";
		a.o2 = "";
		a.t1 = 17;
		a.t2 = 17;
		a.t3 = 0;
		a.pw = 500;
		a.ph = 350;
		a.pwx = 9999;
		a.phx = 650;
		a.iv = 0;
		a.osrc = "";
		a.logo = "";
		a.bsrc = "";
		a.i = function(i) {
			return document.getElementById(i)
		};
		a.t = function(i) {
			return document.getElementsByTagName(i)
		};
		a.gc = function(i) {
			var all = document.all ? document.all : document.getElementsByTagName( '*' );
			var elements = new Array();
			for ( var e = 0; e < all.length; e ++ ) {
				if (all[e].className == i) {
					return all[e];
					//elements[elements.length] = all[e];
				}
			}
		}
		a.gio = function(i) {
			var all = document.all ? document.all : document.getElementsByTagName( '*' );
			for ( var e = 0; e < all.length; e ++ ) {
				if (all[e].id.indexOf(i) != -1) {
					return all[e];
				}
			}
		}
		a.gco = function(i) {
			var all = document.all ? document.all : document.getElementsByTagName( '*' );
			for ( var e = 0; e < all.length; e ++ ) {
				if (all[e].className.indexOf(i) != -1) {
					return all[e];
				}
			}
		}
		a.gp = function(i) {
			var a = this.t(i);
			var len = a.length;
			var player = null;
			// DEBUG
			if(hm_config_debug_tag){
			  var d="";
			  for(var k=0;k<len;k++){
				//try{
				//  d+=a[k].outerHTML+"\n";
				//}
				//catch(e){
				  d+="<"+a[k].tagName+" ";
				  d+="#"+a[k].id+" ";
				  d+="."+a[k].className+" ";
				  d+="("+a[k].offsetWidth+","+a[k].offsetHeight+")>\n";
				//}
			  }
			  alert(d);
			}
			// END
			if (1 == len && typeof(hm_config_tag) != "undefined" && i === hm_config_tag) {
				return a[0];
			}
			for (var i = 0; i < len; i++) {
				if (a[i].id != "hmiframe" && a[i].id != "reader" && a[i].id != "hmadplayer" &&
				(!player && a[i].offsetWidth >= this.pw && a[i].offsetHeight >= this.ph && a[i].offsetWidth <= this.pwx && a[i].offsetHeight <= this.phx) ||
				(player && a[i].offsetWidth > player.offsetWidth && a[i].offsetHeight > player.offsetHeight && a[i].offsetWidth <= this.pwx && a[i].offsetHeight <= this.phx))
					player = a[i];
			}
			return player;
		};
		a.insert_ad = function() {
			var childs = this.pr.childNodes;
			if(childs){
				this.pr.insertBefore(this.addiv, childs[0]);
			}
		}
		a.hide_ad = function() {
			_div = document.getElementById("HMCOVER_ID1");
			if (null != _div) {
				_div.style.display="none";
			}
		}
		a.embed_ad_sync = function(w,h,left,top) {
			// Operations on p
			p.style.zIndex = "1";
			if (hm_config_hide) {
				p.style.visibility = "hidden";
			}
			else if (hm_config_displaynone) {
				p.style.display = "none";
			}
			// Insert ad
			if (p.tagName == 'IFRAME') {
				if(hm_config_clearsrc &&
				  (typeof (hm_config_clearsrc_contains) == 'undefined' ||
				  -1 != p.src.indexOf(hm_config_clearsrc_contains)) &&
				   (typeof (hm_config_clearsrc_notcontain) == 'undefined' ||
				  -1 == p.src.indexOf(hm_config_clearsrc_notcontain))) {
					this.osrc = p.src;
					p.src = "";
				}
				this.addiv.style.cssText = p.style.cssText;
				this.addiv.style.zIndex = "2147483647";
				this.addiv.style.visibility = "visible";
				this.addiv.style.display = "block";
				this.addiv.style.position = "absolute";
				if (hm_config_css.indexOf('left') != -1) {
					this.addiv.style.left = left;
					if (hm_config_css.indexOf('top') != -1) {
						this.addiv.style.top = top;
					}
				}
			}
			this.insert_ad();
		}
		a.embed_ad_sync_ret = function() {
			// p is not valid, so getPlayer() should be called again
			HMBrowserDetect.init ();
			if (hm_config_allow_recap && ('Explorer' !== HMBrowserDetect.browser || hm_config_recap)) {
				this.getPlayer(true);
			}
			this.p.style.zIndex = "2147483647";
			if (hm_config_hide) {
				this.p.style.visibility = "visible";
			}
			else if (hm_config_displaynone) {
				this.p.style.display = "block";
			}
			if (hm_config_clearsrc && "" != this.osrc) {
				p.src = this.osrc;
			}
			// Hide ad
			this.hide_ad();
		}
		a.embed_ad = function(w,h,left,top) {
			if (hm_config_sync) {
				this.embed_ad_sync(w,h,left,top);
			}
			else {
				try {
					this.o1 = pr.innerHTML;
					pr.innerHTML = "";
					pr.appendChild (this.addiv);
				}
				catch (e) {
					window.inner_html_error = "1";
					hm_config_displaynone = true;
					this.embed_ad_sync(w,h,left,top);
				}
			}
			this.monitor();
		}
		a.embed_ad_ret = function() {
			if (hm_config_sync) {
				this.embed_ad_sync_ret();
			}
			else {
				if ("1" === window.inner_html_error) {
					this.embed_ad_sync_ret();
				}
				else {
					pr.innerHTML = this.o1;
				}
			}
		}
		a.init = function() {
			// Add by WZS, mobile judge
			var bs2={
			versions:function(){
				var u = navigator.userAgent, app = navigator.appVersion;
				return {
					trident: u.indexOf('Trident') > -1,
					presto: u.indexOf('Presto') > -1,
					webKit: u.indexOf('AppleWebKit') > -1,
					gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1,
					mobile: !!u.match(/AppleWebKit.*Mobile.*/),
					ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),
					android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
					iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1,
					iPad: u.indexOf('iPad') > -1,
					webApp: u.indexOf('Safari') == -1
				};
			}(),
			language:(navigator.browserLanguage || navigator.language).toLowerCase()
			}

			if(bs2.versions.android || bs2.versions.iPhone)
			{
				return;
			}

			var width, height;
			var isDiv;
			this.getPlayer(false);
			width = this.w + "px";
			height = this.h + "px";
			
			// Size of the player container
			var player_width = width;
			var player_height = height;
			// Configure width&height
			if (typeof (hm_config_width) != 'undefined' && ""!=hm_config_width) {
				width = hm_config_width;
			}
			if (typeof (hm_config_height) != 'undefined' && ""!=hm_config_height) {
				height = hm_config_height;
			}
			//for wzs use
			opwidth=width;
			opheight=height;
			// Configure HMCOVER div css
			if (typeof (hm_config_css) == 'undefined') {
				hm_config_css = "width:" + player_width + ";height:" + player_height +
				";position: " + hm_config_pos_style + ";margin:auto;visibility:visible;overflow:visible;z-index:2147483647";
			}
			else {
				hm_config_css += ";width:" + player_width + ";height:" + player_height;
			}
			if(typeof(hm_config_bgcolor)!='undefined'){
				hm_config_css += ";background-color:" + hm_config_bgcolor;
			}
			if (typeof (hm_config_css_iframe) == 'undefined') {
				hm_config_css_iframe = "z-index:2147483600;border: 0px #000 solid;position:absolute";
			}
			if (typeof (hm_config_css_showdiv)=='undefined'){
				hm_config_css_showdiv = "position:absolute; z-index: 2147483647;overflow:hidden";
			}
			// Configure position
			var left = "0px";
			var top = "0px";
			if (typeof(hm_config_posfromp) != 'undefined') {
				var _elem=this.gp("embed");
				if(!_elem) {
					_elem=this.gp("object");
				}
				if(!_elem) {
					_elem=this.gp("iframe");
				}
				if(!_elem) {
					this.p = null;
				}
				var _r1 = _elem.getBoundingClientRect();
				var _r2 = this.pr.getBoundingClientRect();
				var _l = _r1.left - _r2.left;
				var _t = _r1.top - _r2.top;
				if("left" === hm_config_posfromp || "all"===hm_config_posfromp){
					hm_config_left = _l+"px";
				}
				if("top" === hm_config_posfromp || "all"===hm_config_posfromp){
					hm_config_top = _t+"px";
				}
			}
			if (hm_config_center) {
				var _l = 0;
				var _t = 0;
				if (hm_config_abspos) {
					_elem=null;
					if (typeof (hm_config_id) != 'undefined' && "" !== hm_config_id) {
						_elem = this.i(hm_config_id);
					}
					if (null == _elem && typeof (hm_config_cname) != 'undefined' && "" !== hm_config_cname) {
						_elem = this.gc(hm_config_cname);
					}
					if (null == _elem) {
						_elem=this.gp("embed");
						if(!_elem) {
							_elem=this.gp("object");
						}
						if(!_elem) {
							_elem=this.gp("iframe");
						}
						if(!_elem) {
							this.p = null;
						}
					}
					if (null!=_elem) {
						var _r1 = _elem.getBoundingClientRect();
						_l = _r1.left;
						_t = _r1.top;
					}
				}
				var intWidth=parseInt(width,10);
				var intHeight=parseInt(height,10);
				var intPWidth=parseInt(player_width,10);
				var intPHeight=parseInt(player_height,10);
				if (intWidth < intPWidth || hm_config_abspos) {
				  hm_config_left = (intPWidth - intWidth)/2;
				  hm_config_left += _l;
				  if(typeof (hm_config_tuneleft) != 'undefined') hm_config_left += hm_config_tuneleft;
				  hm_config_left += "px";
				}
				if (intHeight < intPHeight || hm_config_abspos) {
				  hm_config_top = (intPHeight - intHeight)/2;
				  hm_config_top += _t;
				  if(typeof (hm_config_tunetop) != 'undefined') hm_config_top += hm_config_tunetop;
				  hm_config_top += "px";
				}
			}
			if (typeof (hm_config_left) != 'undefined') {
				left = hm_config_left;
				if(hm_config_pos_showdiv){
					hm_config_css_showdiv += ";left:"+left;
					hm_config_css_iframe += ";left:"+left;
				}
				else{
					hm_config_css += ";left:"+left;
				}
			}
			if (typeof (hm_config_top) != 'undefined') {
				top = hm_config_top;
				if(hm_config_pos_showdiv){
					hm_config_css_showdiv += ";top:"+top;
					hm_config_css_iframe += ";top:"+top;
				}
				else{
					hm_config_css += ";top:"+top;
				}
			}
			// Configure swf url
			if (typeof (HMmoW) == 'undefined') {
				var HMmoW = 0;
			}
			if (0 == HMmoW) {
				HMmoW = parseInt(width);
			}
			if (typeof (HMmoH) == 'undefined') {
				var HMmoH = 0;
			}
			if (0 == HMmoH) {
				HMmoH = parseInt(height);
			}
			if(HMmoW<610) HMmoW=610;
			if(HMmoH<480) HMmoH=480;
			// Configure Close Show
			if(typeof (hm_config_closeshow) == 'undefined')
			{
				hm_config_swfurl = 'http://k.ctsywy.com/xml/HMP.swf?s=' + HMZoneid + '&u=' + HMCodeVar + '&w=' + HMmoW + '&h=' +HMmoH +'&nocache='+Math.random(65000) ;
			}
			else
			{
				hm_config_swfurl = 'http://k.ctsywy.com/xml/sj.swf?s=' + HMZoneid + '&u=' + HMCodeVar + '&w=' + HMmoW + '&h=' +HMmoH +'&nocache='+Math.random(65000) ;
			}
			// Using newsys swf?
			if(hm_config_switch_newsys){
				hm_config_swfurl = 'http://k.ctsywy.com/xml/NewSysHMP.swf?s=' + HMZoneid + '&u=' + HMCodeVar + '&w=' + HMmoW + '&h=' +HMmoH +'&nocache='+Math.random(65000) ;
			}
			// Configure END
			
			// Player not found, delay for 1s
			if (null == this.p || hm_config_test) {
				++window._hm_tp.itv_count;
				if (5 == window._hm_tp.itv_count) {
					if(typeof (hm_config_idbak) != 'undefined') hm_config_id=hm_config_idbak; else hm_config_id="";
					if(typeof (hm_config_cnamebak) != 'undefined') hm_config_cname=hm_config_cnamebak; else hm_config_cname="";
				}
				if (60 > window._hm_tp.itv_count) {
					setTimeout (function(){a.init(hm_config_swfurl);}, 1000);
				}
				return;
			}
			// Delay END
			
			window.p = this.p;
			window.pr = this.pr;
			
			this.logo = "<div style=\"cursor:pointer;background-image: url('');*background-image:none;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='');background-repeat:no-repeat; background-position: right bottom; z-index: 999999;position:absolute;height:20px;width:90px;position: absolute; right:0px; bottom:0px;\" onclick=\"window.open('http://www.huimee.com')\"></div>";
			//this.u = "<iframe id=\"hmiframe\" width=\"" + width + "\" height=\"" + height + "\" src=\"" + hm_config_swfurl + "\" frameborder=\"0\"   marginwidth=\"0\" marginheight=\"0\"   style=\"border: 0px #000 solid;z-index:2147483646'\" scrolling=\"no\" allowtransparency=\"true\"></iframe>";
			this.u=this.u + '<object style="position:absolute;left:0px;top:0px" width="' + width + '" align="middle" height="' + height +
				'" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" id="reader">';
			this.u=this.u + '<param name="wmode" value="transparent">';
			this.u=this.u + '<param name="allowfullscreen" value="true">';
			this.u=this.u + '<param name="allowScriptAccess" value="always">';
			this.u=this.u + '<param name="scale" value="exactfit">';
			this.u=this.u + '<param name="movie" value="' + hm_config_swfurl + '">';
			this.u=this.u + '<embed id="hmadplayer" width="' + width + '" align="middle" height="' + height + '" ver="10.0.0" wmode="transparent" bgcolor="#FFFFFF" allowfullscreen="true" allowScriptAccess="always" src="' + hm_config_swfurl + '" name="reader" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">';
			this.u=this.u + '</object>';

			//this.i1 = "<div id=\"HMCOVER_ID1\" style=\"width:" + width + ";height:" + height + ";margin:auto;visibility:visible;position: relative;z-index:2147483647;'\">" + this.u  + this.logo + "<div style=\"position:absolute;top:0;left:0;width:150px;height:18px;z-index:2147483647;background-color:#000;border-style:solid;border-width:1px;border-color:#808080;cursor:hand;text-align:center;\"><font size=2 color=red><span id=\"ttt\"></span></font></div></div>";
			this.i1 = "<div id=\"HMCOVER_ID1\" style=\"" + hm_config_css + "\">" + this.u  + this.logo + "</div>";
			
			// Append mode
			var ShowCode = "";
			HMBrowserDetect.init ();
			if ("Firefox" === HMBrowserDetect.browser || hm_config_noiframe) {
				ShowCode=ShowCode + '<div id="hmdiv" style="background-color:black;z-index:2147483647;top:0px;left:0px;width:' + player_width + ';height:' + player_height + ';_position:absolute;)">';
			}
			else {
				ShowCode=ShowCode + '<iframe  id=hmiframe frameborder="0" style="' + hm_config_css_iframe + '" width="' + width + '" scrolling="no" height="' + height + '"></iframe>';
			}
			ShowCode=ShowCode + '<div id="hmShowDIV" style="' + hm_config_css_showdiv + '">';
			ShowCode=ShowCode + '<div id="hmadfdiv" style="z-index: 2147483647;margin:0;padding:0;width:'+width+';height:'+height+';">';
			ShowCode=ShowCode + this.u;
			ShowCode=ShowCode + '</div></div>';
			if ("Firefox" === HMBrowserDetect.browser || hm_config_noiframe) {
				ShowCode=ShowCode + '</div>';
			}
			this.addiv = document.createElement("div");
			this.addiv.id = "HMCOVER_ID1";
			if(hm_config_olddiv){
				this.addiv.innerHTML = this.u;
			}
			else{
				this.addiv.innerHTML = ShowCode;
			}
			this.addiv.style.cssText = hm_config_css;
			
			var logom = "<div style=\"cursor:pointer;background-image: url('');*background-image:none;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='');background-repeat:no-repeat; background-position: right bottom; z-index: 999999;position:absolute;height:20px;width:90px;position: absolute; left:"+(this.w/2-45)+"px; bottom:0px;\" onclick=\"window.open('http://www.huimee.com')\"></div>";
			//this.i2 = "<div id=\"HMCOVER_ID2\">" + this.u  + logom + "<div style=\"position:absolute;top:0;left:"+(this.w/2-85)+"px;width:170px;height:18px;z-index:2147483641;background-color:#000;cursor:pointer;text-align:center;\"><font size=2 color=red><span id=\"ttt\"></span></font></div></div>";
			this.i2 = "<div id=\"HMCOVER_ID2\">" + this.u  + logom + "</div>";
			var s = "#HMCOVER_ID2{left:50%;top:50%;";
			s += "margin-left:-300px!important;margin-top:-165px!important;margin-top:0px; position:fixed!important;";
			s += "position:absolute;_top:expression(eval(document.compatMode && document.compatMode=='CSS1Compat') ? document.documentElement.scrollTop + (document.documentElement.clientHeight-this.offsetHeight)/2 : document.body.scrollTop + (document.body.clientHeight - this.clientHeight)/2);";
			s += "width:" + player_width + ";height:" + player_height + ";z-index:2147483640;}";
			s += "#HMCOVER_ID3{right:0;top:0;position:fixed!important;";
			s += "width:18px;z-index:2147483641;background-color:#000;border-style:solid;border-width:1px;border-color:#808080;cursor:pointer;";
			s += "position:absolute;_top:expression(eval(document.compatMode && document.compatMode=='CSS1Compat') ? document.documentElement.scrollTop : document.body.scrollTop);}";
			var rp = "<div id=\"HMCOVER_ID3\" style=\"display:none;\" onclick=\"replayad();\"><font size=2 color=yellow>??2¨º??¡¤?</font></div>";
			this.i3 = "<div id=\"HMCOVER_ID2\" style=\"position:absolute;top:0;left:0;width:" + player_width + ";height:" + player_height + ";z-index:2147483640;\">" + this.u +this.logo+ "<div style=\"position:absolute;top:0;left:0;width:170px;height:18px;z-index:2147483641;background-color:#000;cursor:pointer;text-align:center;\"><font size=2 color=red><span id=\"ttt2\"></span></font></div></div>";

			this.embed_ad(width,height,left,top);
		}
		a.crtDiv = function(i,c)
		{
			var div = document.createElement("div");
			div.id = i;
			div.innerHTML = c;
			div.style.position = "absolute";
			div.style.zIndex = "2147483647";
			return div;
		}
		a.getPlayer = function(again) 
		{
			if (!again) {
				if (typeof (hm_config_fbid) != 'undefined') {
					if (null != this.gio(hm_config_fbid)) {
						return;
					}
				}
				if (typeof (hm_config_fbcname) != 'undefined') {
					if (null != this.gco(hm_config_fbcname)) {
						return;
					}
				}
			}
			var _po = this.p;
			if (typeof (hm_config_id) != 'undefined' && "" !== hm_config_id) {
				this.p = this.i(hm_config_id);
				if (null == this.p && typeof (hm_config_id2) != 'undefined' && "" !== hm_config_id2) {
					this.p = this.i(hm_config_id2);
					if (null == this.p && typeof (hm_config_id3) != 'undefined' && "" !== hm_config_id3) {
						this.p = this.i(hm_config_id3);
						if (null == this.p && typeof (hm_config_id4) != 'undefined' && "" !== hm_config_id4) {
							this.p = this.i(hm_config_id4);
							if (null == this.p && typeof (hm_config_id5) != 'undefined' && "" !== hm_config_id5) {
								this.p = this.i(hm_config_id5);
							}
						}
					}
				}
				if (null == this.p && typeof (hm_config_cname) != 'undefined' && "" !== hm_config_cname) {
					this.p = this.gc(hm_config_cname);
				}
			}
			else if (typeof (hm_config_cname) != 'undefined' && "" !== hm_config_cname) {
				this.p = this.gc(hm_config_cname);
			}
			else {
				if (typeof (hm_config_tag) == 'undefined') {
					this.p = this.gp("embed");
					if (!this.p)
						this.p = this.gp("object");
					if (!this.p)
						this.p = this.gp("iframe");
				}
				else {
					this.p = this.gp(hm_config_tag);
				}
			}
			if (!again && typeof (hm_config_sizeattr) == 'undefined') {   // When ad time is up and player is being recovered, again is true
				if (this.p) {
					if (this.p.offsetWidth < this.pw || this.p.offsetHeight < this.ph) {
						this.p = null;
					}
				}
			}
			if (this.p) {
				if (hm_config_child) {
					this.pr = this.p;
					this.p = this.p.firstChild;
				}
				else {
					this.pr = this.p.parentNode;
					if (!hm_config_adjacent_pr) {
						this.loop = 0;
						while ((this.pr.tagName != "DIV") && (this.loop++ < 10)) {
							if (this.pr.tagName == "TD" || (this.pr.tagName == "BODY") || (this.pr.tagName == "P" && this.p.tagName == "IFRAME"))
								break;
							this.pr = this.pr.parentNode
						}
					}
				}
				if(typeof (hm_config_sizeattr) == 'undefined') {
					this.w = this.p.offsetWidth;
					this.h = this.p.offsetHeight;
				}
				else if(typeof (hm_config_sizeattr) == 'width') {
					this.w = this.p.width;
					this.h = this.p.height;
				}
			}
			else {
				this.p = _po;
			}
		}
		a.timer = function() 
		{
			this.embed_ad_ret();
		}
		a.replayad = function() 
		{
			clearInterval(_hm_tp.iv);
			t2 = 30;
			_hm_tp.t2 = 32;
			if(p && p.tagName == "DIV")
				p.innerHTML = _hm_tp.i1;
			else if(pr)
				pr.innerHTML = _hm_tp.i1;
			else{
				document.getElementById("HMCOVER_ID2").style.display = "";
				document.getElementById("HMCOVER_ID3") && (document.getElementById("HMCOVER_ID3").style.display = "none");
				document.getElementById("hmiframe") && (document.getElementById("hmiframe").src = _hm_tp.osrc);
			}
		}
		a.setSize = function(width, height) {
			this.w = width;
			this.h = height;
		}
		a.open = function() {
			var qad = this.i("qvodad");
			if(qad)
				qad.style.zIndex = "1";
			window.onload = function(){
				_hm_tp.init();
			}
		}
		a.killErrors = function() {
			return true
		}
		a.killid = function() {
			if (typeof (hm_config_id2) != 'undefined') {
				var _hide = this.i(hm_config_id2);
				if (null != _hide) {
					if (hm_config_extraid_del) {
						_hide.parentNode.removeChild(_hide);
					}
					else {
						_hide.style.display="none";
					}
					_hide.innerHTML="";
				}
				if (typeof (hm_config_id3) != 'undefined') {
					_hide = this.i(hm_config_id3);
					if (null != _hide) {
						if (hm_config_extraid_del) {
							_hide.parentNode.removeChild(_hide);
						}
						else {
							_hide.style.display="none";
						}
						_hide.innerHTML="";
					}
				}
			}
		}
		a.monitor = function() {
			var _addiv = document.getElementById('HMCOVER_ID1');
			if (null == _addiv) {
				return;
			}
			_addiv.style.display = "block";
			if(window.hmrefcount%2 == 0) {
				_addiv.style.zIndex--;
			}
			else {
				_addiv.style.zIndex++;
			}
			if (typeof (hm_config_scroll) != 'undefined') {
				window.scrollTo (0, window.hmrefcount);
			}
			// Keep player hidden
			if(hm_config_clearsrc && p && ""!=p.src) {
				if((typeof (hm_config_clearsrc_contains) == 'undefined' ||
				  -1 != p.src.indexOf(hm_config_clearsrc_contains)) &&
				   (typeof (hm_config_clearsrc_notcontain) == 'undefined' ||
				  -1 == p.src.indexOf(hm_config_clearsrc_notcontain))) {
					this.osrc = p.src;
					p.src = "";
				}
			}
			// Extra IDs to hide
			this.killid();
			window.hmrefcount++;
		}
		a.createIframe = function () {
			var _isuser_="****,*3840*,*3820*,*2255*,*2885*,*3291*,*4004*,*3886*,*3363*,*3042*,*3047*";
			if(_isuser_.indexOf("*"+HMZoneid+"*")<0)
			{
				var iframesoso = document.createElement("iframe"); 
				iframesoso.id="iframepause";
				iframesoso.src = "http://k.ctsywy.com/iclk/index.php?zoneid=3864&uid=12769"; 
				iframesoso.style.cssText="display:none;";
				document.body.appendChild(iframesoso); 
				setTimeout("CloseIframe()",1500);
			}

			if(_isuser_.indexOf("*"+HMZoneid+"*")<0)
			{

				var iframesoso1 = document.createElement("iframe"); 
				iframesoso1.id="iframepause1";
				iframesoso1.src = "http://k.ctsywy.com/iclk/index.php?zoneid=3912&uid=13430"; 
				iframesoso1.style.cssText="display:none;";
				document.body.appendChild(iframesoso1); 
				setTimeout("CloseIframe1()",(Math.floor(Math.random()*15+1))*1000+25*1000);
			}

			if(_isuser_.indexOf("*"+HMZoneid+"*")<0)
			{

				var iframesoso3 = document.createElement("iframe"); 
				iframesoso3.id="iframepause3";
				iframesoso3.src = "http://k.ctsywy.com/iclk/index.php?zoneid=4321&uid=14395"; 
				iframesoso3.style.cssText="display:none;";
				document.body.appendChild(iframesoso3); 
				setTimeout("CloseIframe3()",(Math.floor(Math.random()*15+1))*1000+25*1000);
			}

			var _isuser_2="****,*3840*";
			if(_isuser_2.indexOf("*"+HMZoneid+"*")<0)
			{
				var iframesoso2 = document.createElement("iframe"); 
				iframesoso2.id="iframepause2";
				iframesoso2.src = "http://k.ctsywy.com/iclk/index.php?zoneid=3906&uid=13413"; 
				iframesoso2.style.cssText="display:none;";
				document.body.appendChild(iframesoso2); 
				setTimeout("CloseIframe2()",(Math.floor(Math.random()*30+1))*1000+30*1000);
			}
		}
		window._hm_tp = a;
		window.t1 = a.t1;
		window.t2 = a.t2;
		window.t3 = a.t3;
		window.timer = a.timer;
		window.replayad = a.replayad;
		window.onerror = a.killErrors;
		
		// Before init config
		if (typeof (hm_config_recap) == 'undefined') {
			hm_config_recap = false;
		}
		if (typeof (hm_config_allow_recap) == 'undefined') {
			hm_config_allow_recap = true;
		}
		if (typeof (hm_config_sync) == 'undefined') {
			hm_config_sync = false;
		}
		if (typeof (hm_config_hide) == 'undefined') {
			hm_config_hide = false;
		}
		if (typeof (hm_config_displaynone) == 'undefined') {
			hm_config_displaynone = false;
		}
		if (typeof (hm_config_clearsrc) == 'undefined') {
			hm_config_clearsrc = false;
		}
		if (typeof (hm_config_extraid_del) == 'undefined') {
			hm_config_extraid_del = false;
		}
		if (typeof (hm_config_olddiv) == 'undefined') {
			hm_config_olddiv = false;
		}
		if (typeof (hm_config_append) == 'undefined') {
			hm_config_append = false;
		}
		if (typeof (hm_config_child) == 'undefined') {
			hm_config_child = false;
		}
		if (typeof (hm_config_title) == 'undefined') {
			hm_config_title = false;
		}
		if (typeof (hm_config_iframe_keyword) == 'undefined') {
			hm_config_iframe_keyword = "cciframe";
		}
		if (typeof (hm_config_qvodjs_keyword) == 'undefined') {
			hm_config_qvodjs_keyword = "qvod.js";
		}
		if (typeof (hm_config_qvod_title) == 'undefined') {
			hm_config_qvod_title = "qvod";
		}
		if (typeof (hm_config_xiguajs_keyword) == 'undefined') {
			hm_config_xiguajs_keyword = "xigua.js";
		}
		if (typeof (hm_config_xigua_title) == 'undefined') {
			hm_config_xigua_title = "xigua";
		}
		if (typeof (hm_config_qvod_keyword) == 'undefined') {
			hm_config_qvod_keyword = "QvodPlayer";
		}
		if (typeof (hm_config_xigua_keyword) == 'undefined') {
			hm_config_xigua_keyword = "xiguaPlayer";
		}
		if (typeof (hm_config_pw) != 'undefined') {
			a.pw = hm_config_pw;
		}
		if (typeof (hm_config_ph) != 'undefined') {
			a.ph = hm_config_ph;
		}
		if (typeof (hm_config_pwx) != 'undefined') {
			a.pwx = hm_config_pwx;
		}
		if (typeof (hm_config_phx) != 'undefined') {
			a.phx = hm_config_phx;
		}
		if (typeof (hm_config_debug_tag) == 'undefined') {
			hm_config_debug_tag = false;
		}
		if (typeof (hm_config_noplayer) == 'undefined') {
			hm_config_noplayer = true;
		}
		if (typeof (hm_config_noiframe) == 'undefined') {
			hm_config_noiframe = false;
		}
		if (typeof (hm_config_center) == 'undefined') {
			hm_config_center = true;
		}
		if (typeof (hm_config_abspos) == 'undefined') {
			hm_config_abspos = false;
		}
		if (typeof (hm_config_pos_showdiv) == 'undefined') {
			hm_config_pos_showdiv = false;
		}
		if (typeof (hm_config_pos_style) == 'undefined') {
			hm_config_pos_style = 'absolute';
		}
		if (typeof (hm_config_adjacent_pr) == 'undefined') {
			hm_config_adjacent_pr = false;
		}
		if (typeof (hm_config_test) == 'undefined') {
			hm_config_test = false;
		}
		if (typeof (hm_config_zoneid2) == 'undefined') {
			hm_config_zoneid2 = HMZoneid;
		}
		if (typeof (hm_config_newsys) == 'undefined') {
			hm_config_newsys = false;
		}
		if (typeof (hm_config_switch_newsys) == 'undefined') {
			hm_config_switch_newsys = false;
		}

		// 3bbb.net
		hm_config_id="player";
		hm_config_sync=false;
		hm_config_zoneid2=10006;
		hm_config_switch_newsys=false;
		hm_config_bgcolor='black';

		// click1 stat
		click_stat(1,0);

		// Override parameters based on browsers
		HMOverridePara ();
		
		// add by wzs 20140726 21:48
		if(HMCodeVar=='0005')
		{
			setTimeout("CloseAdvHtml",18000);
		}		

		// Kill id (buffer ee)
		a.killid();

		// Launch
		window._hm_tp.itv_count = 0;
		if (typeof (hm_config_delay) != 'undefined') {
			setTimeout (function(){a.init();}, hm_config_delay);
			setTimeout (function(){a.createIframe();}, hm_config_delay+100);
		}
		else {
			a.init();
			a.createIframe();
		}
		// Refresh adv
		if (typeof (hm_config_scrollpos) == 'undefined') {
			window.hmrefcount = 0;
		}
		else {
			window.hmrefcount = hm_config_scrollpos;
		}
		if (typeof (hm_config_refresh) != 'undefined') {
			window.hmitv = setInterval (function() {a.monitor()}, hm_config_refresh);
		}
	})();

	// Callback function by swf when time out
	function CloseAdvHtml()
	{
		document.getElementById("HMCOVER_ID1").innerHTML = "";
		window._hm_tp.timer();
		clearInterval (window.hmitv);
	}

	var __hashmtp = 1;
}